Bug 217427 - [New Port] graphics/py-skimage: Image Processing SciKit (Toolbox for SciPy)
Summary: [New Port] graphics/py-skimage: Image Processing SciKit (Toolbox for SciPy)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-28 19:31 UTC by Eric Camachat
Modified: 2017-03-20 16:23 UTC (History)
1 user (show)

See Also:


Attachments
Image Processing SciKit (Toolbox for SciPy) (3.29 KB, patch)
2017-02-28 19:32 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2017-02-28 19:31:45 UTC

    
Comment 1 Eric Camachat 2017-02-28 19:32:29 UTC
Created attachment 180366 [details]
Image Processing SciKit (Toolbox for SciPy)
Comment 2 Eric Camachat 2017-02-28 19:37:23 UTC
needs math/py-PyWavelets (#217426).
Comment 3 Joseph Mingrone freebsd_committer 2017-03-18 23:45:50 UTC
New ports cannot be maintained by ports@FreeBSD.org.  Are you willing to be the maintainer?
Comment 4 Eric Camachat 2017-03-19 00:12:03 UTC
(In reply to Joseph Mingrone from comment #3)
OK, I will maintain it.
Comment 5 Joseph Mingrone freebsd_committer 2017-03-19 11:02:20 UTC
Under review: https://reviews.freebsd.org/D10053.  Please has a look and comment there if necessary.  I used the name graphics/py-scikit-image to match upstream and related ports like science/py-scikit-fuzzy, science/py-scikit-learn, and science/py-scikit-sparse.
Comment 6 commit-hook freebsd_committer 2017-03-20 16:12:35 UTC
A commit references this bug:

Author: jrm
Date: Mon Mar 20 16:12:12 UTC 2017
New revision: 436548
URL: https://svnweb.freebsd.org/changeset/ports/436548

Log:
  New port: graphics/py-scikit-image

  Image processing SciKit (Toolbox for SciPy)

  WWW: http://scikit-image.org/

  PR:		217427
  Submitted by:	eric@camachat.org (maintainer)
  Reviewed by:	mat
  Approved by:	swills (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D10053

Changes:
  head/graphics/Makefile
  head/graphics/py-scikit-image/
  head/graphics/py-scikit-image/Makefile
  head/graphics/py-scikit-image/distinfo
  head/graphics/py-scikit-image/pkg-descr
Comment 7 Joseph Mingrone freebsd_committer 2017-03-20 16:23:49 UTC
Committed. Thanks.